Revit二次开发01——环境搭建(附Revit 2018 + Visual Studio 2017下载地址)

摘要:本文针对初学者,详细讲解了Revit二次开发环境的搭建过程,无论是否有编程基础,只要按照下面的步骤,都可以实现自己的第一个Revit插件命令,先来预览一下我们最终实现的效果:
在这里插入图片描述
本文涉及的主要内容如下图所示:
在这里插入图片描述

1、准备工作

1.1 安装Revit 2018

安装方法百度,注意记下安装路径,后面会用到。
安装包百度网盘下载链接:https://pan.baidu.com/s/1swQfmBLIFZzCzP0cub3IAA.
提取码:zeye

1.2 安装Revit 2018 SDK

Revit SDK是Autodesk官方提供的Revit软件开发工具包,下载后是一个.msi文件,安装后在安装路径下有一个Add-In Manager文件夹,里面有两个文件 AddInManager.dll 和 Autodesk.AddInManager.addin,后面在步骤 2配置 Addin Manager 外部工具时会用到。
在这里插入图片描述

Revit SDK官网下载链接:https://knowledge.autodesk.com/zh-hans/support/revit-products/learn-explore/caas/sfdcarticles/sfdcarticles/kA93g0000000O4S.html?st=revit%20sdk%E4%B8%8B%E8%BD%BD

1.3 安装Visual Studio 2017

Visual Studio 2017是一个功能完备的集成开发环境 (IDE),我们主要用它来写代码和生成一个动态链接库.dll文件,可以在官网下载个人免费版,网速不好可以下载离线安装包安装。
官网下载链接:https://visualstudio.microsoft.com/zh-hans/vs/older-downloads/
离线安装包百度网盘下载链接:https://pan.baidu.com/s/1Z1J47Vn3DSrD5e6o7x21Cg
提取码:1xz7

2、配置Addin Manager

AddIn Manager是Autodesk官方提供的一款用来加载Revit插件的外部工具插件,它可以使我们更方便的管理和加载Revit外部插件,使我们不用重启Revit就可以修改插件代码并再次加载和运行,配置成功后在Revit的【附加模块】——【外部工具】选项卡下会出现三行命令,如下图所示:在这里插入图片描述
配置方法:将【1.2 安装Revit 2018 SDK】步骤中的AddInManager.dll和Autodesk.AddInManager.addin两个文件复制粘贴到C:\ProgramData\Autodesk\Revit\Addins\2018文件夹中(文件夹可能是隐藏的,要设置查看——勾选隐藏的项目),然后用记事本打开Autodesk.AddInManager.addin这个文件,修改3个地方,把

[TARGETDIR]AddInManager.dl

改为为 AddInManager.dll 文件的绝对路径

C:\ProgramData\Autodesk\Revit\Addins\2018

然后保存关闭。在这里插入图片描述

3、测试

写一个程序(大多数代码都是固定模式,只需要按照模式复制粘贴即可),生成一个.dll文件,通过Revit 外部工具Addin Manager加载.dll文件运行进行测试。

3.1 启动Visual Studio,新建一个项目,选择类库(.NET Framework)。

名称:Myrevit01(后者自己命名),位置:设置一个能记住的,解决方案名称:MyRevit二次开发(或者自己起一个), 注意框架选择 .NET Framework 4.6或者5.2。在这里插入图片描述
新建后生成了一个默认的Class1.cs类,删除using System下面以using开头到4行代码,如下图所示:在这里插入图片描述

3.2 添加引用

在解决方案资源管理器中右键单击【引用】——【添加引用】在这里插入图片描述
——【浏览】,在1.1 安装Revit 2018步骤的安装路径下找到 RevitAPI.dll 和 RevitAPIUI.dll 两个文件,打开后勾选这两个文件,点击确定,两个文件就被添加到解决方案资源管理器中【引用】下面。
在这里插入图片描述
将 RevitAPI.dll 和 RevitAPIUI.dll 两个文件的”复制到本地“属性都改为false,不让其生成解决方案时复制一大堆我们不需要的文件。
在这里插入图片描述

3.3 引入命名空间

在using System下面加上下面3行代码

using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using Autodesk.Revit.Attributes;

在public class Class1{}前面加上

[Autodesk.Revit.Attributes.Transaction(Autodesk.Revit.Attributes.TransactionMode.Manual)]

在public class Class1后面加上: IExternalCommand,在public class Class1: IExternalCommand { }大括号内部添加如下代码:

  public Result Execute(ExternalCommandData connandDate,ref string message,ElementSet elements)
        {
            
            TaskDialog.Show("Revit", "你好,Revit!");
            return Autodesk.Revit.UI.Result.Succeeded;
        }

完整代码如下图所示:

using System;
using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using Autodesk.Revit.Attributes;

namespace Myrevit01
{
    [Transaction(TransactionMode.Manual)]
    public class Class1:IExternalCommand 
    {
        public Result Execute(ExternalCommandData connandDate,ref string message,ElementSet elements)
        {
            TaskDialog.Show("Revit", "你好,Revit!");
            return Autodesk.Revit.UI.Result.Succeeded;
        }
    }
}

然后生成解决方案,如果生成成功,在创建项目的路径D:\MyRevit二次开发\MyRevit二次开发\Myrevit01\bin\Debug下,会生成一个 Myrevit01.dll 文件。在这里插入图片描述

3.5 在Revit中加载测试

打开Revit软件,选择【附加模块】——【外部命令】——【Add-in Manager (Manual Mode)】
在这里插入图片描述
——Load上面生成的 Myrevit01.dll 文件,打开
在这里插入图片描述
选择 MyReviyt01.Class1 在这里插入图片描述
点击Run,测试成功!
在这里插入图片描述

©️2020 CSDN 皮肤主题: 游动-白 设计师:上身试试 返回首页